---
title: ""
description: ""
---
**Global options** apply to all commands:

| Option | Description |
|--------|-------------|
| `--base-url` | Base URL for the NeMo Platform API |
| `--output-format, -f <CHOICE>` | Output format for how results are printed. [possible values: table, json, yaml, markdown, csv, raw, code] |
| `--no-truncate` | Don't truncate long values in table/markdown/csv output |
| `--timestamp-format <CHOICE>` | Timestamp format for table/markdown/csv output [possible values: relative, iso8601] |
| `--verbose, -v` | Enable verbose messaging. This only impacts logs that are visible, it doesn't change any data outputs. |
| `--agent-mode, -A` | Enable agent-friendly output mode with extra context for coding agents. |

**Commands** are organized into categories:

| Category | Commands | Description |
|----------|----------|-------------|
| Setup | `setup`, `services`, `skills` | Set up and run local platform components |
| CLI functions | `chat`, `docs`, `wait`, `agent`, `plugins` | Interactive, documentation, and agent-oriented workflows |
| Core plugins | `files`, `inference`, `jobs`, `models`, `secrets`, `workspaces` | Core platform resources |
| Functional plugins | `guardrail` | Functional service and plugin commands |
